CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GlobalSearchEngine Class Reference

## Public Member Functions
| GlobalSearchEngine ()
| Search ($SearchString, $StartingResult=0, $NumberOfResults=10)
| FieldedSearch ($SearchStrings, $StartingResult=0, $NumberOfResults=10)
| NumberOfResults ()
| SearchTime ()
| PerformSearch ($SetSpec, $StartingResult, $NumberOfResults)
| SearchSite ($SiteInfo, $SetSpec)
| GetMicrotime ()

## Public Attributes
| $NumberOfResultsAvailable
| $LastSearchTime

## Detailed Description

Definition at line 26 of file GlobalSearchEngine.php.

## Member Function Documentation

GlobalSearchEngine::FieldedSearch | ( |  | $SearchStrings,
|  |  | $StartingResult = `0`,
|  |  | $NumberOfResults = `10`
| ) |  |

Definition at line 56 of file GlobalSearchEngine.php.

GlobalSearchEngine::GetMicrotime | ( |  | ) |

Definition at line 158 of file GlobalSearchEngine.php.

Referenced by Search().

Here is the caller graph for this function:

GlobalSearchEngine::GlobalSearchEngine | ( |  | ) |

Definition at line 31 of file GlobalSearchEngine.php.

GlobalSearchEngine::NumberOfResults | ( |  | ) |

Definition at line 61 of file GlobalSearchEngine.php.

References $NumberOfResultsAvailable.

GlobalSearchEngine::PerformSearch | ( |  | $SetSpec,
|  |  | $StartingResult,
|  |  | $NumberOfResults
| ) |  |

Definition at line 76 of file GlobalSearchEngine.php.

References SearchSite().

Referenced by Search().

Here is the caller graph for this function:

GlobalSearchEngine::Search | ( |  | $SearchString,
|  |  | $StartingResult = `0`,
|  |  | $NumberOfResults = `10`
| ) |  |

Definition at line 36 of file GlobalSearchEngine.php.

References GetMicrotime(), and PerformSearch().

GlobalSearchEngine::SearchSite | ( |  | $SiteInfo,
|  |  | $SetSpec
| ) |  |

Definition at line 110 of file GlobalSearchEngine.php.

Referenced by PerformSearch().

Here is the caller graph for this function:

GlobalSearchEngine::SearchTime | ( |  | ) |

Definition at line 64 of file GlobalSearchEngine.php.

References $LastSearchTime.

## Member Data Documentation

GlobalSearchEngine::$LastSearchTime

Definition at line 73 of file GlobalSearchEngine.php.

Referenced by SearchTime().

GlobalSearchEngine::$NumberOfResultsAvailable

Definition at line 72 of file GlobalSearchEngine.php.

Referenced by NumberOfResults().

The documentation for this class was generated from the following file:

- objects/GlobalSearchEngine.php